﻿Imports System.Windows.Forms

Public Class Dialog_CODE93

    #Region "Sub SetControl : コントロールに設定します."
        Private Sub SetControl(ByVal BlnVal_Set As Boolean)
            Try
                Select Case BlnVal_Set
                    Case True
                    ' コントロールにセットします.
                        ' 高さ.
                            Me.NUD_Height.Value = ClsPub_CODE93_INFO.Sng_Height
                            ' 高さ再計算有無.
                            Me.Cmb_HightReCalc.SelectedIndex = System.Math.Abs(CInt(ClsPub_CODE93_INFO.Bln_HeightReCalculation))
                        ' 基準幅.
                            If ClsPub_CODE93_INFO.Int_Standard_Width = NSDBarcode.NSD_STANDARD_WIDTH.ALL_WIDTH Then
                                Me.RB_Width1.Checked = True
                                ' 全体幅.
                                Me.NUD_Width.Value = ClsPub_CODE93_INFO.Sng_AllWidth
                            Else
                                Me.RB_Width2.Checked = True
                                ' 最小ライン幅.
                                Me.NUD_Width.Value = ClsPub_CODE93_INFO.Sng_MinimumLineWidth
                            End If
                            ' 基準幅の変更(サブ).
                            RB_Width1_CheckedChanged_Sub()
                        ' コード文字の出力.
                            Me.Cmb_SourceCode.SelectedIndex = System.Math.Abs(CInt(ClsPub_CODE93_INFO.Bln_SourceCodePrint))
                        ' コード文字の出力位置.
                            Me.Cmb_SourceCodeState.SelectedIndex = ClsPub_CODE93_INFO.Int_PrintNoStyle
                        ' コード文字のフォント.
                            SetDispFontName()
                        ' フォントサイズ.
                            Me.Cmb_FontWidth.SelectedIndex = ClsPub_CODE93_INFO.Int_SourceCodePrint_WidthStyle
                        ' クワイエットゾーン.
                            Me.Cmb_QuietZone.SelectedIndex = System.Math.Abs(CInt(ClsPub_CODE93_INFO.Bln_QuietZone))
                        ' クワイエットゾーンを含む全体枠.
                            Me.Cmb_QuietZoneTestPrint.SelectedIndex = System.Math.Abs(CInt(ClsPub_CODE93_INFO.Bln_QuietZonePrint))

                    Case False
                    ' コントロールから取り出します.
                        ' 高さ.
                            ClsPub_CODE93_INFO.Sng_Height = Me.NUD_Height.Value
                            ' 高さ再計算有無.
                            ClsPub_CODE93_INFO.Bln_HeightReCalculation = CBool(Me.Cmb_HightReCalc.SelectedIndex)
                        ' 基準幅.
                            If Me.RB_Width1.Checked Then
                                ' 全体幅.
                                ClsPub_CODE93_INFO.Int_Standard_Width = NSDBarcode.NSD_STANDARD_WIDTH.ALL_WIDTH
                                ClsPub_CODE93_INFO.Sng_AllWidth = Me.NUD_Width.Value
                            Else
                                ' 最小ラインの幅.
                                ClsPub_CODE93_INFO.Int_Standard_Width = NSDBarcode.NSD_STANDARD_WIDTH.NARROW_WIDTH
                                ClsPub_CODE93_INFO.Sng_MinimumLineWidth = Me.NUD_Width.Value
                            End If
                        ' コード文字の出力.
                            ClsPub_CODE93_INFO.Bln_SourceCodePrint = CBool(Me.Cmb_SourceCode.SelectedIndex)
                        ' コード文字の出力位置.
                            ClsPub_CODE93_INFO.Int_PrintNoStyle = Me.Cmb_SourceCodeState.SelectedIndex
                        ' フォント幅.
                            ClsPub_CODE93_INFO.Int_SourceCodePrint_WidthStyle = Me.Cmb_FontWidth.SelectedIndex
                        ' クワイエットゾーン.
                            ClsPub_CODE93_INFO.Bln_QuietZone = CBool(Me.Cmb_QuietZone.SelectedIndex)
                        ' クワイエットゾーンを含む全体枠.
                            ClsPub_CODE93_INFO.Bln_QuietZonePrint = CBool(Me.Cmb_QuietZoneTestPrint.SelectedIndex)
                End Select
            Catch ex As Exception

            End Try
        End Sub

        #Region "Sub SetDispFontName : フォント名を表示します."
            Private Sub SetDispFontName()
                Try
                    If Not (ClsPub_CODE93_INFO.Cls_Font Is Nothing) Then
                        Me.Lbl_FontInfo.Text = ClsPub_CODE93_INFO.Cls_Font.Name & " " & ClsPub_CODE93_INFO.Cls_Font.SizeInPoints & "ポイント"
                    Else
                        Me.Lbl_FontInfo.Text = "不明"
                    End If
                Catch ex As Exception

                End Try
            End Sub
        #End Region
    #End Region

    #Region "OK、キャンセル."
        #Region "Sub OK_Button_Click : OKボタン."
            Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
                Me.DialogResult = System.Windows.Forms.DialogResult.OK
                SetControl(False)
                Me.Close()
            End Sub
        #End Region

        #Region "Sub Cancel_Button_Click : キャンセルボタン."
            Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
                Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
                Me.Close()
            End Sub
        #End Region
    #End Region

    #Region "Sub Dialog_CODE39_Load : Loadイベント."
        Private Sub Dialog_CODE39_Load(sender As Object, e As System.EventArgs) Handles Me.Load
            Try
                ' バーコードの高さ計算.
                With Me.Cmb_HightReCalc
                    .Items.Clear()

                    .Items.Add("高さ固定")
                    .Items.Add("高さ再計算")
                End With

                ' コード文字の出力.
                With Me.Cmb_SourceCode
                    .Items.Clear()

                    .Items.Add("出力しない")
                    .Items.Add("出力する")
                End With

                ' コード文字の出力位置.
                With Me.Cmb_SourceCodeState
                    .Items.Clear()

                    .Items.Add("バーコードの上")
                    .Items.Add("バーコードの下")
                End With

                ' フォント幅.
                With Me.Cmb_FontWidth
                    .Items.Clear()

                    .Items.Add("通常")
                    .Items.Add("バーコードの幅に合わせます")
                    .Items.Add("フォントサイズを自動調整してバーコードの幅に合わせます")
                End With

                ' クワイエットゾーン.
                With Me.Cmb_QuietZone
                    .Items.Clear()

                    .Items.Add("追加しない")
                    .Items.Add("追加する")
                End With

                ' クワイエットゾーンを含む全体枠.
                With Me.Cmb_QuietZoneTestPrint
                    .Items.Clear()

                    .Items.Add("描画しない")
                    .Items.Add("テスト用描画をする")
                End With

                SetControl(True)
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Font_Click : フォント."
        Private Sub Btn_Font_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_Font.Click
            Try
                Using fFont As New FontDialog()
                    fFont.Font = ClsPub_CODE93_INFO.Cls_Font
                    If fFont.ShowDialog() = Windows.Forms.DialogResult.OK Then
                        ClsPub_CODE93_INFO.Cls_Font = fFont.Font.Clone()
                        SetDispFontName()
                    End If
                End Using
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub RB_Width1_CheckedChanged : 基準幅の変更."
        Private Sub RB_Width1_CheckedChanged( sender As System.Object,  e As System.EventArgs) Handles RB_Width1.CheckedChanged
            Try
                RB_Width1_CheckedChanged_Sub
            Catch ex As Exception

            End Try
        End Sub

        #Region "Sub RB_Width1_CheckedChanged_Sub : 基準幅の変更(サブ)."
            Private Sub RB_Width1_CheckedChanged_Sub()
                Try
                    Select Case Me.RB_Width1.Checked
                        Case True
                        ' 全体の幅.
                            Me.NUD_Width.Value = ClsPub_CODE93_INFO.Sng_AllWidth
                        Case False
                        ' 最小ラインの幅.
                            Me.NUD_Width.Value = ClsPub_CODE93_INFO.Sng_MinimumLineWidth
                    End Select
                Catch ex As Exception

                End Try
            End Sub
        #End Region
    #End Region

End Class
